#!/usr/bin/perl -w
#
# Theme data file
# This file contains details of themes. This is used by the scripts to generate
# theme documentaion files.
#

package debian::themedata;

@themedata::installed = (
	\%Urbicande, 
	\%OutlineHot,
	\%OutlineAsh,
	\%OutlineBeach,
	\%OutlineCoal,
	\%OutlineCold,
	\%OutlineFruity,
	\%OutlineWinter,
	\%keramikgyellow,
	);

@themedata::rejectedlicense = (
);

@themedata::rejected = (
	{'source' => 'themes.freshmeat.net', 'name' => 'Amadeus', 'reason' => 'doesn\'t work with latest metacity.'},
	{'source' => 'sunshineinabag.co.uk', 'name' => 'MetalXP', 'reason' => 'doesn\'t work with latest metacity.'},
	{'source' => 'sunshineinabag.co.uk', 'name' => 'LunaXP', 'reason' => 'doesn\'t work with latest metacity.'},
	{'source' => 'sunshineinabag.co.uk', 'name' => 'keramic-metacity', 'reason' => 'doesn\'t work with latest metacity.'},
	{'source' => 'sunshineinabag.co.uk', 'name' => 'Amadeus', 'reason' => 'doesn\'t work with latest metacity.'},
	{'source' => 'sunshineinabag.co.uk', 'name' => 'metamile-marker', 'reason' => 'doesn\'t work with latest metacity.'},
	{'source' => 'http://www.themedepot.org/itemdetail.php4?id=51', 'name' => 'fishing the sky', 'reason' => 'border-only window not implemented'},
	{'source' => 'http://www.themedepot.org/itemdetail.php4?id=12#', 'name' => 'adept', 'reason' => 'Not designed for latest metacity'},
);
	
%Urbicande = (
	'name' => "Urbicande",
	"source"	=> "http://themes.freshmeat.net/projects/urbicande-metacity/?topic_id=987%2C986%2C934",
	"version"	=> "1.1",
	"description"	=> 'A theme inspired by "Les Cit?es Obscures" (The '
		.'Obscure Cities), graphic novels by Fran?ois Schuiten and Beno?t '
		.'Peeters. It uses some ideas from the novels\' official Web site. '
		.'It is a port of the IceWM version. ',
	"license"	=> "GPL",
	"author" => "Oleastre",
	);

%Outline = (
	'source' => "http://themes.freshmeat.net/projects/outline/?topic_id=987",
	'description' => 'A simple theme that uses alpha composition for rendering '
		.'buttons and a 1-pixel wide rectangle for window borders. The branches of '
		.'this project include several versions of the same theme.',
	'license' => 'GPL',
	'author' => 'ueluei <ueluei@telefonica.net>',
	);
%OutlineHot = (%Outline,	'name' => 'OutlineHot', 	'version' => '1.0');
%OutlineAsh = (%Outline,	'name' => 'OutlineAsh', 	'version' => '1.0');
%OutlineBeach = (%Outline,	'name' => 'OutlineBeach', 	'version' => '1.0');
%OutlineCoal = (%Outline,	'name' => 'OutlineCoal', 	'version' => '1.0');
%OutlineCold = (%Outline,	'name' => 'OutlineCold', 	'version' => '1.0');
%OutlineFruity = (%Outline,	'name' => 'OutlineFruity', 	'version' => '1.0');
%OutlineWinter = (%Outline,	'name' => 'OutlineWinter', 	'version' => '1.0');


%keramikgyellow = (
	'name' => 'keramik-Gyellow',
	'version' => 'not versioned - downloaded 2002/10 ',
	'source' =>'http://www.lucidus.uklinux.net/index.php?author=Giovanni%20A.%20Derks',
	'license' => 'GPL',
	'author' => 'Giovanni A. Derks <virtualdk@inwind.it>',
	'description' => 'This is keramik-Gyellow, a theme for the Metacity window '
		.'manager.  It is basically a  edited version of the port realized by '
		.'Shane Butler <shane_b@users.sourceforge.net> of the kermik theme by '
		.'Malte Starostik <malte@kde.org> and Fredrik Hoglund <fredrik@kde.org>. '
		.'See http://www.kde-look.org/content/show.php?content=1961 for details.'
		);

%mcblue = (
	'name' => 'mcblue',
	'version' => '1.0',
	'source' =>'http://themes.freshmeat.net/projects/mcblue/?topic_id=987%2C952',
	'license' => 'GPL',
	'author' => 'Tiger_66_Y2k <kyled@blueriver.net>',
	'description' => 'mcblue is a clean theme based on keramik. It was made to go with the gnububble theme for GTK2.'
		);
push @themedata::installed, \%mcblue;

%quietpurple = (
	'name' => 'quiet-purple',
	'version' => '20020909',
	'source' =>'http://www.themedepot.org/itemdetail.php4?id=197',
	'license' => 'GPL',
	'author' => 'Giovanni A. Derks <virtualdk@inwind.it>',
	'description' => 'Thought to be relaxing and
intuitive... My target was to have a smooth and "eye-relaxing" theme that was intuitive to use and also a bit original. So I\'ve used prelight for unfocused buttons (try to move the mouse over buttons of a unfocused window), I\'ve designed the restore (from maximized state) button as a toggle button and I\'ve not put the maximize, minimize and close symbols over the unfocused buttons.
'
		);
push @themedata::installed, \%quietpurple;


%brushedmetal = (
	'name' => 'BrushedMetal',
	'version' => '20021105',
	'source' =>'http://art.gnome.org/show_theme.php?themeID=206&category=metacity',
	'license' => 'GPL',
	'author' => 'Andrew Bradford <ajbradford@comcast.net>',
	'description' => 'This is a port of the Sawfish theme Brushed Metal. '
		);
push @themedata::installed, \%brushedmetal;

%alloy = (
	'name' => 'Alloy',
	'version' => '1.0',
	'source' =>'http://themes.freshmeat.net/projects/alloy/?topic_id=987',
	'license' => 'GPL',
	'author' => 'Ueluei <ueluei@telefonica.net>',
	'description' => 'Alloy is a metallic theme slightly based on the unreleased
	KDE style shown in Everaldo\'s screenshot of the Crystal icons.'
	);
push @themedata::installed, \%alloy;

%crowberry = (
	'name' => 'HeliX-Sweetpill-Crowberry',
	'version' => '2002-11-05',
	'source' =>'http://themes.freshmeat.net/projects/mcityhelixsweetpillcrowberry/?topic_id=987',
	'license' => 'GPL',
	'author' => 'Andrew Bradford <ajbradford@comcast.net>',
	'description' => 'MCity Helix Sweetpill Crowberry is a port of the Sawfish
	theme HeliX-Sweetpill Crowberry to Metacity.');
push @themedata::installed, \%crowberry;

%watercolor = (
	'name' => 'Watercolor',
	'version' => '1.2.1',
	'source' =>'http://www.themedepot.org',
	'license' => 'GPL',
	'author' => 'Norman Jonas <normanjonas@web.de>',
	'description' => 'This theme is a port of the Sawfish "Watercolor" theme ( done by Stefan
	Zeiger <szeiger@szeiger.de> ), that itself was inspired by the Windows
	XP build 2410 "Watercolor" look, to metacity..');
push @themedata::installed, \%watercolor;



